Download File
Download a file on S3 bucket and shares a unique link back
Query Parameters
filePath Filepath required
S3 file url
customerId Customerid
Customer ID
Responses
- 200
- 422
Successful Response
application/json
Schema
Example (from schema)
Schema
- Array [
- ]
reqId Reqid
errors object[]
errorType Errortype
Error Type
errorMessage Errormessage
Error Message
data object
fileUrl Fileurl
Downloadable S3 link for a file
{
"reqId": "string",
"errors": [
{
"errorType": "string",
"errorMessage": "string"
}
],
"data": {
"fileUrl": "string"
}
}
Validation Error
application/json
Schema
Example (from schema)
Schema
- Array [
- Array [
- ]
- ]
detail object[]
loc object[] required
oneOf
MOD1
MOD2
string
integer
msg Message required
type Error Type required
{
"detail": [
{
"loc": [
"string",
0
],
"msg": "string",
"type": "string"
}
]
}
Loading...